function Create(self)
    --Keep track of how long it should be before healing people.
    healTimer = Timer();
    --Interval between healings, in milliseconds.
    healInterval = 10;
	-- This value is the multiplier for health, only up here for 
	HealFactor = 0.2
end

function Update(self)
    local avgx = nil;
    local avgy = nil;
    local dist = nil;
    local part = nil;
    --Heal every interval.
    if healTimer:IsPastSimMS(healInterval) then
	--Cycle through all actors.
	for actor in MovableMan.Actors do
	    --If the actor is on the right team, has less than 100 health and is not the healer, continue with code.
	    if actor.Health < 100 then
		--Trigonometry to find how far the actor is.
			avgx = actor.Pos.X - self.Pos.X;
			avgy = actor.Pos.Y - self.Pos.Y;
			dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			-- Check if the actor is within range to be healed at all
			if dist < 30 then
				-- If so, heal them by an amount depending on distance, awarding accuracy.
				actor.Health = actor.Health + (30 - dist) * HealFactor ;
			end
			if actor.Health > 100 and dist < 30 then
				--This undoes over heal
				actor.Health = 100
			end
	    end
	end
	--Reset the healing timer.
	healTimer:Reset();
    end
end